from ninja import Schema, Query
from pydantic import Field
from typing import List, Optional


class AuthorizeIn(Schema):
    user_id: int = Field(..., description="被授权的用户ID")
    website_ids: List[int] = Field(..., description="要授权的网站ID列表")


class AccessRequestIn(Schema):
    website_id: int = Field(...)
    reason: Optional[str] = Field(None, description="申请原因")


class ResumeAccessRequestIn(Schema):
    resume_id: int = Field(..., description="简历ID")
    reason: Optional[str] = Field(None, description="申请理由")
