from django.contrib import admin
from invites.models import RegistrationCode


@admin.register(RegistrationCode)
class RegistrationCodeAdmin(admin.ModelAdmin):
    list_display = ("code", "manager", "usage_limit", "used_count", "created_at")
    list_filter = ("manager",)
    search_fields = ("code", "manager__username")
    readonly_fields = ("used_count", "created_at")
