from django.contrib import admin

# Register your models here.
from logs.models import LogEntry

@admin.register(LogEntry)
class LogEntryAdmin(admin.ModelAdmin):
    list_display = ("user", "action", "target_type", "target_id", "message", "created_at")
    list_filter = ("action", "target_type", "created_at")
    search_fields = ("user__username", "message", "target_type")
    readonly_fields = ("user", "action", "target_type", "target_id", "message", "created_at")